# data to update into taxes
# return dict(tax_idxml: dict(values to write into tax))
TAX_DATA_EC = {
    "tax_vat_411_goods": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_411_services": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_412": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_413": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_414": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_415_goods": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_415_services": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_416": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_417": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_418": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_441": {"l10n_ec_xml_fe_code": "7"},
    "tax_vat_444": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_444_zero_vat": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_444_not_charged_vat": {"l10n_ec_xml_fe_code": "6"},
    "tax_vat_444_not_exempt_vat": {"l10n_ec_xml_fe_code": "7"},
    "tax_vat_510_sup_01": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_510_sup_05": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_510_sup_06": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_510_sup_15": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_511_sup_03": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_512_sup_04": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_512_sup_05": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_512_sup_07": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_513_sup_01": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_514_sup_06": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_515_sup_03": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_516_sup_07": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_517_sup_02": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_517_sup_04": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_517_sup_05": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_517_sup_07": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_517_sup_15": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_518_sup_02": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_541_sup_02": {"l10n_ec_xml_fe_code": "6"},
    "tax_vat_510_08_sup_01": {"l10n_ec_xml_fe_code": "8"},
    "tax_vat_542_sup_02": {"l10n_ec_xml_fe_code": "7"},
    "tax_vat_545_sup_08": {"l10n_ec_xml_fe_code": "2"},
    "tax_vat_545_sup_08_vat0": {"l10n_ec_xml_fe_code": "0"},
    "tax_vat_545_sup_08_vat_exempt": {"l10n_ec_xml_fe_code": "7"},
    "tax_vat_545_sup_08_vat_not_charged": {"l10n_ec_xml_fe_code": "6"},
    "tax_vat_545_sup_09": {"l10n_ec_xml_fe_code": "2"},
    "tax_withhold_vat_10": {"l10n_ec_xml_fe_code": "9"},
    "tax_withhold_vat_20": {"l10n_ec_xml_fe_code": "10"},
    "tax_withhold_vat_30": {"l10n_ec_xml_fe_code": "1"},
    "tax_withhold_vat_50": {"l10n_ec_xml_fe_code": "11"},
    "tax_withhold_vat_70": {"l10n_ec_xml_fe_code": "2"},
    "tax_withhold_vat_100": {"l10n_ec_xml_fe_code": "3"},
    "tax_sale_withhold_vat_10": {"l10n_ec_xml_fe_code": "9"},
    "tax_sale_withhold_vat_20": {"l10n_ec_xml_fe_code": "10"},
    "tax_sale_withhold_vat_30": {"l10n_ec_xml_fe_code": "1"},
    "tax_sale_withhold_vat_50": {"l10n_ec_xml_fe_code": "11"},
    "tax_sale_withhold_vat_70": {"l10n_ec_xml_fe_code": "2"},
    "tax_sale_withhold_vat_100": {"l10n_ec_xml_fe_code": "3"},
    # new taxes 2024
    "tax_vat_15_411_goods": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_411_services": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_412": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_444": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_510_sup_01": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_510_sup_05": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_510_sup_06": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_510_sup_15": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_511_sup_03": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_512_sup_04": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_512_sup_05": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_512_sup_07": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_513_sup_01": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_514_sup_06": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_515_sup_03": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_545_sup_08": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_15_545_sup_09": {"l10n_ec_xml_fe_code": "4"},
    "tax_vat_05_411_goods": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_411_services": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_412": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_444": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_510_sup_01": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_510_sup_05": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_510_sup_06": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_510_sup_15": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_511_sup_03": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_512_sup_04": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_512_sup_05": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_512_sup_07": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_513_sup_01": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_514_sup_06": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_515_sup_03": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_545_sup_08": {"l10n_ec_xml_fe_code": "5"},
    "tax_vat_05_545_sup_09": {"l10n_ec_xml_fe_code": "5"},
}
